Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.binder
Class PresentationModelBinderImpl<PM extends IPresentationModel>

    java.lang.Object
      com.jgoodies.binding.binder.ObjectBinderImpl
          com.jgoodies.binding.binder.BeanBinderImpl<PM>
              com.jgoodies.binding.binder.PresentationModelBinderImpl<PM>

Type Parameters:
  `PM` - the type of the PresentationModel

All Implemented Interfaces:
  BeanBinder, ObjectBinder, PresentationModelBinder

Direct Known Subclasses:
  ActionPresentationModelBinderImpl

    public class PresentationModelBinderImpl<PM extends IPresentationModel>

extends BeanBinderImpl<PM>
implements PresentationModelBinder

Adds binding capabilities for bean property names to its superclass that can bind ValueModels, SelectionInLists, Actions, and ListModel + ListSelectionModel.

Since:
  2.3
Version:
  $Revision: 1.1 $
Author:
  Karsten Lentzsch

Constructor Summary
`PresentationModelBinderImpl(PM model)` Constructs a PresentationModelBinder for the given PresentationModel.

Method Summary
`ValueModelBindingBuilder` | `bindBeanProperty(String propertyName)` Creates and returns a binding builder that manages a ValueModel that can be operated on and that can be bound to a component.

Methods inherited from class com.jgoodies.binding.binder.BeanBinderImpl
`bindProperty, getBeanAdapter, getTarget`

Methods inherited from class com.jgoodies.binding.binder.ObjectBinderImpl
`bind, bind, bind, bind, bind, bind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jgoodies.binding.binder.BeanBinder
`bindProperty`

Methods inherited from interface com.jgoodies.binding.binder.ObjectBinder
`bind, bind, bind, bind, bind, bind`

Constructor Detail

### PresentationModelBinderImpl

    public PresentationModelBinderImpl(PM model)

  Constructs a PresentationModelBinder for the given PresentationModel.

  Parameters:
    `model` - used to look up model properties via `BeanBinderImpl.bindProperty(String)` and bean properties via `bindBeanProperty(String)`

Method Detail

### bindBeanProperty

    public ValueModelBindingBuilder bindBeanProperty(String propertyName)

  Description copied from interface: `PresentationModelBinder`
  Creates and returns a binding builder that manages a ValueModel that can be operated on and that can be bound to a component.

  Example: `binder.bindBeanProperty("artist").to(artistField);`

  Specified by:
    `bindBeanProperty` in interface `PresentationModelBinder`
  Parameters:
    `propertyName` - the name of the property of the presentation model's bean
  Returns:
    the binding builder that holds the converted bean property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2013 JGoodies Software GmbH. All Rights Reserved.